Summary:	GNU fast lexical analyzer generator
Name:		flex-devel
Version:	2.5.35
Release:	1
License:	GPL
Group:		Development
URL:		http://flex.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/flex/flex-%{version}.tar.bz2
BuildRequires:	bison byacc-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:       flex

%description
This is the GNU fast lexical analyzer generator. It generates lexical
tokenizing code based on a lexical (regular expression based)
description of the input. It is designed to work with both yacc and
bison, and is used by many programs as part of their build process.

%prep
%setup -q -n flex-%version

%build
%configure --disable-dependency-tracking CFLAGS="-fPIC $RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

( cd ${RPM_BUILD_ROOT}
  ln -sf flex .%{_bindir}/lex
  ln -sf flex .%{_bindir}/flex++
  ln -s flex.1 .%{_mandir}/man1/lex.1
  ln -s flex.1 .%{_mandir}/man1/flex++.1
  ln -s libfl.a .%{_libdir}/libl.a
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root)
%{_bindir}
%{_libdir}/*.a
%{_includedir}
